Action Script Error ( Please Help- urgent)

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Action Script Error ( Please Help- urgent)

Shashi-6
Hi,
 
 
I am getting an action script  error  that is displayed during the Grouping collection refresh in the advanced datagrid this basically happens when the array collection which is the source of the grouping collection is updated ( added or removed) , the updation of the array collection is done in an action script function in which the grouping collection is refreshed after updating the array collection.How to handle/resolve  the action script error ? can i handle it through try catch blocks ?


The error I am getting is :


Error: Bookmark no longer valid.
        at.............

 
Thanks & Regards
 
Ravisha

Reply | Threaded
Open this post in threaded view
|

Re: Action Script Error ( Please Help- urgent)

kanu kukreja-2
If you are using ArrayCollection then:
Just filter that ArrayCollection, set it as source for the grouping
collection and refresh the collection.

ac.refresh();
ac.disableAutoUpdate();


On Mon, Dec 21, 2009 at 11:33 PM, Shashi <[hidden email]> wrote:

>
>
> Hi,
>
>
> I am getting an action script error that is displayed during the Grouping
> collection refresh in the advanced datagrid this basically happens when the
> array collection which is the source of the grouping collection is updated (
> added or removed) , the updation of the array collection is done in an
> action script function in which the grouping collection is refreshed after
> updating the array collection.How to handle/resolve the action script error
> ? can i handle it through try catch blocks ?
>
> The error I am getting is :
>
> Error: Bookmark no longer valid.
> at.............
>
> Thanks & Regards
>
> Ravisha
>
>  
>
Reply | Threaded
Open this post in threaded view
|

Re: Action Script Error ( Please Help- urgent)

FlexCoders mailing list
This bug has now been solved in the SDK, and will be available in the next version (probably 4.14). For details see [FLEX-34119] https://issues.apache.org/jira/browse/FLEX-34119 
 
 [FLEX-34119] mx.collections.HierarchicalCollectionViewCursor... https://issues.apache.org/jira/browse/FLEX-34119 Steps to reproduce A: Run the HierarchicalCollectionViewCursor_FLEX_34119_Test unit test. You should see lots of "Bookmark no longer valid" errors. Steps to reproduce B: Run the attached AIR project.
 
 
 
 View on issues.apache.org https://issues.apache.org/jira/browse/FLEX-34119 
 Preview by Yahoo